
Foreman - Bug #14401

Host#refresh_global_status not persisting changes to the db

03/30/2016 01:13 PM - John Mitsch

Status: Closed   

Priority: Normal   

Assignee: John Mitsch   

Category: Plugin integration   

Target version: 1.12.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3380

  

Description

related to http://projects.theforeman.org/issues/14372

Refreshing the global_status here [1] does not persist changes to the database, which is causing problems in Katello when calling

global_status (see above bug).

[1] https://github.com/theforeman/foreman/blob/c7d9169d12e16bcd5f4e3466e5cf99ca963eeea7/app/models/host/managed.rb#L859

Related issues:

Related to Katello - Bug #14372: Content Host shows green status with "Warning" Closed 03/29/2016

Related to Foreman - Bug #14518: unable to save report due to a host os misco... Closed 04/07/2016

Related to Foreman - Bug #14516: Host::Base#domain_id= delegated to primary_i... Closed 04/07/2016

Related to Foreman - Refactor #15849: Improve performance of host global stat... New 07/27/2016

Associated revisions

Revision b3d3d65d - 04/04/2016 09:37 AM - John Mitsch

Fixes #14401 - Refreshing Host's global status not persisting to the database

History

#1 - 03/30/2016 01:28 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3380 added

#2 - 03/31/2016 02:25 AM - Marek Hulán

- Related to Bug #14372: Content Host shows green status with "Warning" added

#3 - 03/31/2016 02:28 AM - Marek Hulán

- Category set to Plugin integration

#4 - 04/04/2016 09:54 AM - Marek Hulán

- translation missing: en.field_release set to 152

#5 - 04/04/2016 10:01 AM - John Mitsch

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset b3d3d65de79153baf85641ce4005b7bc171050fb.

#6 - 04/07/2016 03:06 AM - Dominic Cleal

- Related to Bug #14518: unable to save report due to a host os misconfiguration added
#7 - 04/07/2016 03:07 AM - Dominic Cleal

- translation missing: en.field_release changed from 152 to 136

Bumping due to linked regression, possibly also linked to #14516.

#8 - 04/18/2016 03:37 AM - Dominic Cleal

- Related to Bug #14516: Host::Base#domain_id= delegated to primary_interface.domain_id=, but primary_interface is nil added

#9 - 07/27/2016 04:36 AM - Tomer Brisker

- Related to Refactor #15849: Improve performance of host global status updates added
